<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li class="current"><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
<li>nameSubMesh()
: <a class="el" href="classOgre_1_1Mesh.html#961a5ebb441004ca098a468eb5bd0369">Ogre::Mesh</a>
<li>needUpdate()
: <a class="el" href="classOgre_1_1Bone.html#5b32f720032133ebc0706669b20ee528">Ogre::Bone</a>
, <a class="el" href="classOgre_1_1Node.html#8671415cc4cf15e45bf716a823678736">Ogre::Node</a>
, <a class="el" href="classOgre_1_1TagPoint.html#acb9004b79fb9fceac07ec7963da944e">Ogre::TagPoint</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4de88a1c0a586a4743746f6cd1dd1c9e">Ogre::InstancedGeometry::InstancedObject</a>
<li>nlerp()
: <a class="el" href="classOgre_1_1Quaternion.html#16987149991882e148170fe3f1c7da4b">Ogre::Quaternion</a>
<li>Node()
: <a class="el" href="classOgre_1_1Node.html#3c6c986afc06749ab29f853ae1df58e3">Ogre::Node</a>
<li>NodeAnimationTrack()
: <a class="el" href="classOgre_1_1NodeAnimationTrack.html#08bfcb3a32f8237ee3f0be5abfa514d4">Ogre::NodeAnimationTrack</a>
<li>nodeAttached()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#94f0833d9ba1ac036c7c9274a77a3bb7">Ogre::Node::Listener</a>
<li>nodeDestroyed()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#1bba5bb036e7e21e44520d4a302deb45">Ogre::Node::Listener</a>
, <a class="el" href="classOgre_1_1RibbonTrail.html#30baa88eeee3eb041db328924dd1a0f7">Ogre::RibbonTrail</a>
<li>nodeDetached()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#2d8d30e7eb00989dc97aa0c2e1c94d36">Ogre::Node::Listener</a>
<li>nodeUpdated()
: <a class="el" href="classOgre_1_1RibbonTrail.html#1d55b1c2630baaee6ba063333ed13b92">Ogre::RibbonTrail</a>
, <a class="el" href="classOgre_1_1Node_1_1Listener.html#4038dce943694bf4577fc99aa76c99ec">Ogre::Node::Listener</a>
<li>Norm()
: <a class="el" href="classOgre_1_1Quaternion.html#17a0e63655eda5e7d77522d45033668c">Ogre::Quaternion</a>
<li>normal()
: <a class="el" href="classOgre_1_1ManualObject.html#59c0b0a41e2a4ced5ff89589c9a924a1">Ogre::ManualObject</a>
<li>normalise()
: <a class="el" href="classOgre_1_1Vector3.html#9e572a5cc4e1ed826839e5281d8f1d3b">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Plane.html#090aae792b4fecc6e8b1b5810f029edf">Ogre::Plane</a>
, <a class="el" href="classOgre_1_1Quaternion.html#ee94ec9c7de50fe7f774ae4c7e760b65">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Vector2.html#108e27e1f8c56023377347b661cf067c">Ogre::Vector2</a>
<li>normalisedCopy()
: <a class="el" href="classOgre_1_1Vector2.html#735f0406c751af9b3ac79c855301e466">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#50bec7fc9389d530ed6caac9b74bae7b">Ogre::Vector3</a>
<li>notifyControlPointBufferDeallocated()
: <a class="el" href="classOgre_1_1PatchSurface.html#41fb9a71633f5658bac6c83403f46a43">Ogre::PatchSurface</a>
<li>notifyMaterialRender()
: <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#4234db3c8711ea3f253b98b13ece8f2e">Ogre::CompositorInstance::Listener</a>
<li>notifyMaterialSetup()
: <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#487a34865d41776e7ff9f42b4bcf7422">Ogre::CompositorInstance::Listener</a>
<li>notifyRemoved()
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#1793fbe5fc12a95fde281f1611ecb512">Ogre::ProgressiveMesh::PMVertex</a>
, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#ad9df6c18f56840e29195a7423dcf095">Ogre::ProgressiveMesh::PMTriangle</a>
<li>notifyViewport()
: <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#208e4a0e0b0aedae62d3d89dab1a3d7c">Ogre::CompositorChain::RQListener</a>
<li>numAttachedObjects()
: <a class="el" href="classOgre_1_1SceneNode.html#c440aafa5cb9356e1f4feb17c9fa0cb6">Ogre::SceneNode</a>
<li>numChildren()
: <a class="el" href="classOgre_1_1Node.html#5d5b4d6045dbf1198e96003ead1b333d">Ogre::Node</a>
<li>NumericAnimationTrack()
: <a class="el" href="classOgre_1_1NumericAnimationTrack.html#2abae8df7bf7a90ec35cb57a8a412e38">Ogre::NumericAnimationTrack</a>
<li>NumericKeyFrame()
: <a class="el" href="classOgre_1_1NumericKeyFrame.html#d78806d737208d08c84acc92cbc437a6">Ogre::NumericKeyFrame</a>
<li>numholder()
: <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#b9414baa5ac2efe6abe7486d4287d137">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>
<li>numMultiRenderTargets()
: <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#48532bf4bcee69bbb546a77b3a34a6b9">Ogre::RenderSystemCapabilities</a>
<li>numVertexBlendMatrices()
: <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b6a4164a489cb5ec43f69470dad3dd9a">Ogre::RenderSystemCapabilities</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
